Subject: Re: Neey your help

From: Steve Chan <[email-masked]>
Date: Fri, 28 Feb 1997 12:59:10 -0800 (PST)

> From: Mike Farace <[email-masked]>
> To: [email-masked]

> > ftp> dir
> > 425 Can't open passive connection: No such file or directory.
> > 200 PORT command successful.
> > 425 Can't create data socket (0.0.0.0,20): Bad file number.
> > 
> > Can anyone help?  What am I doing wrong and what can I do to resolve this
> > problem.  THanks in advance.
>
> Sound like you need to run the script for setting up solaris anonymous
> FTP.  It creates abunch of device files for you in your ftp directory.
> 
> It may be in the Solaris 2.x FAQ, but here it is.  I found it on a man
> of ftpd on a Solaris 2.5 system, but didn't find it on my solaris 2.5.1
> system...
> 

	I don't think that this is the problem. I saw the same problem
on wu-ftpd, and whether you could chroot or not depended entirely on
the length of the pathname before the chroot'ed directory.
	Interestingly enough, the problem did not occur under
solaris x86 2.5.1

	Does there need to be a /dev directory under the chroot'ed home
directory in the sparc solaris version?

	Stephen